ISXEQ2 - Bug #1181

20140923.0017 Bugs
2014-09-26 06:22 AM - Kannkor

Status: Closed
Priority: High
Assignee: Amadeus
Category:

Target version:

vbulletin_issue_id:

Description
Here is a complete list of what | have so far (including the ones you're aware of):

1. echo ${EQ2.ServerName} returns garbage
2. EQ2_onQuestUpdate
3. EQ2UIPage[ProxyActor,Conversation].Child[composite,replies].Child[button,3]:LeftClick doesn't work
o To test: In a GH, hail the guild strategist "Strategist", he will give you 3 options. The above should click the 3rd option, it
currently does nothing at all.
o Likewise, echo ${EQ2UIPage[ProxyActor,Conversation].Child[composite,replies].Child[button,1].Label} should give you the
text of the button. It is currently returning NULL.
4. Someone had this crash. That's all the info | have on it. http:/pastebin.com/z01Y5EGf
5. ${EQ2DataSourceContainer{GameData).GetDynamicData[Stats.Primary_Delay].Label}
1. is returning nothing.
2. echo ${EQ2DataSourceContainer[GameData].GetDynamicData[Stats.Primary_Delay].Label} also returns nothing.
1. Just another random sample from Stats | picked.
6. Not sure if I'd count this as a bug. | actually did it by accident. echo
${EQ2DataSourceContainer[GameData]. GetDynamicData[Self. TimeSinceRangedAutoAttack].ShortLabel}
o returns garbage, but it's correctly used (and works correctly as):
${EQ2DataSourceContainer[GameData].GetDynamicData[Self. TimeSinceRangedAutoAttack].Percent}
7. Free to play window: ${EQ2UIPage[Popup,Upsell].Child[Page,Upsell].Child[Button,1].Label} is returning NULL
1. It's possible this window changed and isn't called that anymore, I'll test again once the DynamicData is all returning
properly. Just noting this here as something to test.

History

#1 - 2014-09-26 09:42 PM - Amadeus
- Status changed from New to In Progress
- Assignee set to Amadeus

- Priority changed from Normal to High

| just updated the test version to 0018. Here are the changes related to your report:

1. Fixed

2.In Progress

3. Fixed

4. Will look at later

5. This part of how EQ2 does things has changed quite a bit. The "quick answer" was not obvious even after looking for about 30 minutes -- so I'll
really have to dig into the code to see how to recreate what we had going on before. FOR NOW, | need for you to produce a list of the stats that
you *really* need. | can probably make them available other ways (like | used to before | had you use the GameData. *ALSO*, | would prefer
that everyone use ${Me.GetGameData[]} from now on instead of ..GetDynamicData[] from the EQ2UIElement class. | will probably remove the
GetDynamicData member very soon unless someone dicovers something that doesn't work with Me.GetGameData. (Me.GetGameData does
return an EQ2UIElement type just like GetDynamicData does ...it just seems more reliable and easier for me to update.)

6. Will look at later

7. Test this now that | fixed No. 3

#2 - 2014-09-27 04:58 AM - Kannkor

Just to confirm, #1, 3 and 7 are fixed.
#5: | tried to convert:

${EQ2DataSourceContainer[GameData]. GetDynamicData[Stats.Primary_Delay].ShortLabel}
To:

${Me.GetGameData[Stats.Primary_Delay].ShortLabel}

| tried .Label also, and both return a blank string. It should return the actual delay of your primary weapon. If you're in-game, hit C to bring up the
character window, on the far right side, scroll down to the category 'Autoatack’, then it's Primary Weapon, Delay. Mine for example is 2.7.

#3 - 2014-09-27 05:05 AM - Kannkor
Playing with various GetGameData.
echo ${Me.GetGameData[Stats.Strength].ShortLabel} (and .Label) both return blank.

** EDIT - Take the below with a bit of a grain of salt. | just realized the stat 'Defense’ isn't visable in the Ul anywhere | can find. When | used a
different stat, such as Strength that IS visible, | just got a blank return. Defense is definitely a stat you can get in-game (on gear etc). **

echo ${Me.GetGameData[Stats.Defense].Label} gave me this crash: http:/pastebin.com/1u9WYnng

Here is the list of the various getgamedata options:

C:\Games\Everquest 2\UI\Default\eq2ui_gamedata.xml

When | did .ShortLabel | got this (just a standard eqg2 client has stopped working crash): http:/pastebin.com/CgsnjX18

#4 - 2014-09-27 10:03 AM - Amadeus

| wrote about No. 5 that it has changed and that it wasn't fixed -- I'm not even sure if it is fixable, it could be forever nerfed. That's why | said that |
might need a list of the stats that you REALLY need for adding some other way.

#5 - 2014-09-27 10:28 AM - Kannkor

ahh okay. | thought you meant the container wouldn't work, but the Me.GetGameData would.

I'll start making a list. I'll get you a short list quick, with a longer list to come.. since | assume "everything" isn't realistic? :)

#6 - 2014-09-27 11:22 AM - Kannkor

GameData request
Note: It seems that all of the .Percents are working properly. I've listed them all here if you plan on moving away from DynamicData.
(type) (previously used)

e (string) (ShortLabel) UlState.Extended.SubscriptionLevel
e (string) (ShortLabel) Spells.Casting
o This returns the spell name you are casting. Vs ${Me.CastingSpell} returns true/false if you are casting.
e (float) (ShortLabel) Stats.Ranged_Delay
¢ (float) (ShortLabel) Stats.Melee_Delay
e (string) (ShortLabel) Mercenary.Name
e (float) (ShortLabel) Pet.ActualHealth
o Note: This actually returns a string currently. IE: "86%" (including the percent sign). If you want to strip the percent sign that would be great
and return a float. Otherwise return a string.
e (int?) (ShortLabel) General.Ping
o | believe this just returns a numerical value, but it could be a string. It should just be your current ping.
e (string) (ShortLabel) Target.Casting
o Spell name of what the target is casting
o (string) (ShortLabel) ImpliedTarget.Casting
o Spell name of what the implied target is casting
e (float) (ShortLabel) Stats.Crit_Chance
e (int) (ShortLabel) Self.SavageryLevel
e (int) (ShortLabel) Self.Savagery

Here is the short list real quick.

#7 - 2014-09-27 11:53 AM - Amadeus
0019 is going live soon. It fixes No. 2 and also fixes actor.Class
The GameData (DynamicData) business is still a work in progress and will take more time.

#8 - 2014-09-27 11:54 PM - Amadeus

- Status changed from In Progress to Closed

| actually believe that 0023 should fix all of the GameData things to their functionality before the patch. We all got lucky and | finally figured it out
...simple, but very tricky to figure out (I only got it so quick because | had dealt with it while working on Vanguard.)

I'm going to close this issue for now. Create a new one with any new bugs or if there is anything new with DynamicData that isn't working as it
should (or might be working 'differently’.

Also, | only tested with Me.GetGameData (which is what | would suggest eveyone use when at all humanly possible) ..I'd really like to remove the
other way of getting DynamicData unless someone sees a real reason not to.

#9 - 2014-09-28 12:27 AM - Amadeus

September 28, 2014 -- By Amadeus
[20140923.0024]
* The 'Label' and 'ShortLabel' MEMBERS of the EQ2UIElement datatype will now return the same value
* Added new MEMBER to the 'EQ2UIElement' datatype:
1. Tooltip (string)
